OSX 10.9 Mavericks compatibility

Last updated by Tamas Nagy on November 22, 2015 09:29

OSX 10.9 Mavericks just released. You will find the answers to what I expect will be the first questions for CoGe users.

Is CoGe compatible with Mavericks?
Yes, basically it is from version 1.4.3.2, but if you are running into any issues with CoGe on 10.9, don't hesitate to get in touch with me.

If you are using Hap codec, you need to update it to make it work on Mavericks: http://vidvox.net/download/Hap_Codec_2.dmg

For the best performance on fullscreen, make sure the "Displays have separate Spaces" option in the "Mission Control" section of System Preferences is disabled when using external displays.

There is a system bug in OSX 10.9.0-10.9.5 where some Core Image filters results in a crash sooner or later because of a memory leak. All the Core Image blurs are affected, as well as the Chroma Key mixer. Maybe some of the blend modes too, but since Core Image can fallback to use OpenCL - which is the root of this issue - on 10.9 without any notice, anything which is Core Image related is probably dangerous on 10.9. 

What should I do before upgrading to Mavericks?

- Make sure all your gears are - MIDI devices, capture cards, etc. - compatible with 10.9.
- Make sure all your softwares are compatible with 10.9.
- Do a backup of your current system.